Package org.apache.solr.common.params

# Enum Class CoreAdminParams.CoreAdminAction

java.lang.Object
java.lang.Enum<CoreAdminParams.CoreAdminAction>
org.apache.solr.common.params.CoreAdminParams.CoreAdminAction

All Implemented Interfaces:
  `Serializable`, `Comparable<CoreAdminParams.CoreAdminAction>`, `java.lang.constant.Constable`

Enclosing class:
  `CoreAdminParams`

public static enum CoreAdminParams.CoreAdminAction extends Enum<CoreAdminParams.CoreAdminAction>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BACKUPCORE`
`CREATE`
`CREATESNAPSHOT`
`DELETESNAPSHOT`
`INSTALLCOREDATA`
`LISTSNAPSHOTS`
`MERGEINDEXES`
`OVERSEEROP`
`PREPRECOVERY`
`REJOINLEADERELECTION`
`RELOAD`
`RENAME`
`REQUESTAPPLYUPDATES`
`REQUESTBUFFERUPDATES`
`REQUESTRECOVERY`
`REQUESTSTATUS`
`REQUESTSYNCSHARD`
`RESTORECORE`
`SPLIT`
`STATUS`
`SWAP`
`UNLOAD`

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`isRead`

## Method Summary

Modifier and Type
Method
Description
`static CoreAdminParams.CoreAdminAction`
`get(String p)`
`static CoreAdminParams.CoreAdminAction`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CoreAdminParams.CoreAdminAction[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STATUS

public static final CoreAdminParams.CoreAdminAction STATUS

### UNLOAD

public static final CoreAdminParams.CoreAdminAction UNLOAD

### RELOAD

public static final CoreAdminParams.CoreAdminAction RELOAD

### CREATE

public static final CoreAdminParams.CoreAdminAction CREATE

### SWAP

public static final CoreAdminParams.CoreAdminAction SWAP

### RENAME

public static final CoreAdminParams.CoreAdminAction RENAME

### MERGEINDEXES

public static final CoreAdminParams.CoreAdminAction MERGEINDEXES

### SPLIT

public static final CoreAdminParams.CoreAdminAction SPLIT

### PREPRECOVERY

public static final CoreAdminParams.CoreAdminAction PREPRECOVERY

### REQUESTRECOVERY

public static final CoreAdminParams.CoreAdminAction REQUESTRECOVERY

### REQUESTSYNCSHARD

public static final CoreAdminParams.CoreAdminAction REQUESTSYNCSHARD

### REQUESTBUFFERUPDATES

public static final CoreAdminParams.CoreAdminAction REQUESTBUFFERUPDATES

### REQUESTAPPLYUPDATES

public static final CoreAdminParams.CoreAdminAction REQUESTAPPLYUPDATES

### OVERSEEROP

public static final CoreAdminParams.CoreAdminAction OVERSEEROP

### REQUESTSTATUS

public static final CoreAdminParams.CoreAdminAction REQUESTSTATUS

### REJOINLEADERELECTION

public static final CoreAdminParams.CoreAdminAction REJOINLEADERELECTION

### BACKUPCORE

public static final CoreAdminParams.CoreAdminAction BACKUPCORE

### RESTORECORE

public static final CoreAdminParams.CoreAdminAction RESTORECORE

### INSTALLCOREDATA

public static final CoreAdminParams.CoreAdminAction INSTALLCOREDATA

### CREATESNAPSHOT

public static final CoreAdminParams.CoreAdminAction CREATESNAPSHOT

### DELETESNAPSHOT

public static final CoreAdminParams.CoreAdminAction DELETESNAPSHOT

### LISTSNAPSHOTS

public static final CoreAdminParams.CoreAdminAction LISTSNAPSHOTS

## Field Details

### isRead

public final boolean isRead

## Method Details

### values

public static CoreAdminParams.CoreAdminAction[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CoreAdminParams.CoreAdminAction valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static CoreAdminParams.CoreAdminAction get(String p)